package com.android.gem.core;

import android.os.Parcel;
import android.os.Parcelable;

public class Event implements Parcelable {

    public String type = "";
    public String ad_type = "";
    public String reason = "";

    public Event() {

    }

    protected Event(Parcel in) {
        type = in.readString();
        reason = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(type);
        dest.writeString(reason);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<Event> CREATOR = new Creator<Event>() {
        @Override
        public Event createFromParcel(Parcel in) {
            return new Event(in);
        }

        @Override
        public Event[] newArray(int size) {
            return new Event[size];
        }
    };
}
